Package org.eclipse.cdt.core.settings.model

## Class COutputEntry

- java.lang.Object
- - org.eclipse.cdt.core.settings.model.ACSettingEntry
  - - org.eclipse.cdt.core.settings.model.ACPathEntry
    - - org.eclipse.cdt.core.settings.model.ACExclusionFilterEntry
      - - org.eclipse.cdt.core.settings.model.COutputEntry

All Implemented Interfaces:
  `ICExclusionPatternPathEntry`, `ICOutputEntry`, `ICPathEntry`, `ICSettingEntry`

    public final class COutputEntry
    extends ACExclusionFilterEntry
    implements ICOutputEntry

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.settings.model.ICSettingEntry

`ALL, BUILTIN, EXPORTED, FRAMEWORKS_MAC, INCLUDE_FILE, INCLUDE_PATH, LIBRARY_FILE, LIBRARY_PATH, LOCAL, MACRO, MACRO_FILE, NONE, OUTPUT_PATH, READONLY, RESOLVED, SOURCE_PATH, UNDEFINED, VALUE_WORKSPACE_PATH`

### Constructor Summary

Constructors
`COutputEntry​(String value, org.eclipse.core.runtime.IPath[] exclusionPatterns, int flags)`
`COutputEntry​(org.eclipse.core.resources.IFolder folder, org.eclipse.core.runtime.IPath[] exclusionPatterns, int flags)`
`COutputEntry​(org.eclipse.core.runtime.IPath path, org.eclipse.core.runtime.IPath[] exclusionPatterns, int flags)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getKind()`

### Methods inherited from class org.eclipse.cdt.core.settings.model.ACExclusionFilterEntry

`contentsToString, equals, equalsByContents, fullExclusionPatternChars, getExclusionPatterns, hashCode, isFile`

### Methods inherited from class org.eclipse.cdt.core.settings.model.ACPathEntry

`fullPathForLocation, getFullPath, getLocation, isValueWorkspacePath`

### Methods inherited from class org.eclipse.cdt.core.settings.model.ACSettingEntry

`checkFlags, codeForContentsKey, codeForNameKey, equalsByName, getByNameMatchFlags, getFlags, getName, getValue, isBuiltIn, isReadOnly, isResolved, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.cdt.core.settings.model.ICExclusionPatternPathEntry

`fullExclusionPatternChars, getExclusionPatterns`

### Methods inherited from interface org.eclipse.cdt.core.settings.model.ICPathEntry

`getFullPath, getLocation, isValueWorkspacePath`

### Methods inherited from interface org.eclipse.cdt.core.settings.model.ICSettingEntry

`equalsByContents, equalsByName, getFlags, getName, getValue, isBuiltIn, isReadOnly, isResolved`

### Constructor Detail

#### COutputEntry

    public COutputEntry​(org.eclipse.core.runtime.IPath path,
                        org.eclipse.core.runtime.IPath[] exclusionPatterns,
                        int flags)

#### COutputEntry

    public COutputEntry​(org.eclipse.core.resources.IFolder folder,
                        org.eclipse.core.runtime.IPath[] exclusionPatterns,
                        int flags)

#### COutputEntry

    public COutputEntry​(String value,
                        org.eclipse.core.runtime.IPath[] exclusionPatterns,
                        int flags)

### Method Detail

#### getKind

    public final int getKind()

Specified by:
  `getKind` in interface `ICSettingEntry`